/***************************************************************************
 *   elokab Copyright (C) 2014 AbouZakaria <yahiaui@gmail.com>             *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "dialogconfig.h"
#include "ui_dialogconfig.h"

DialogConfig::DialogConfig(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::DialogConfig)
{

   this->setAttribute(Qt::WA_DeleteOnClose,true);
    ui->setupUi(this);
    QListWidgetItem *locale = new QListWidgetItem(tr("Location"),ui->listWidget);
    locale->setIcon(QIcon::fromTheme("preferences-desktop-locale",QIcon(":/images/preferences-desktop-locale")).pixmap(48));

    QListWidgetItem *display = new QListWidgetItem(tr("Display"),ui->listWidget);
    display->setIcon(QIcon::fromTheme("preferences-desktop-display",QIcon(":/images/preferences-desktop-display")).pixmap(48));

    QListWidgetItem *notification = new QListWidgetItem(tr("Notifications"),ui->listWidget);
    notification->setIcon(QIcon::fromTheme("preferences-desktop-notification",QIcon(":/images/preferences-desktop-notification")).pixmap(48));

//    QListWidgetItem *adhkar = new QListWidgetItem(tr("Adhkar"),ui->listWidget);
//    adhkar->setIcon(QIcon::fromTheme("documentinfo"));

    m_location=new LocationForm(this);
    m_notification = new NotificationForm(this);
    m_display = new DisplayForm(this);
    //m_adhkar=new AdhkarForm(this);
    ui->vLayoutLocation->addWidget(m_location);
    ui->vLayoutDisplay->addWidget(m_display);
    ui->vLayoutNotifier->addWidget(m_notification);
//ui->vLayoutAdhkar->addWidget(m_adhkar);
   ui->listWidget->setCurrentRow(0);
}

DialogConfig::~DialogConfig()
{
    delete m_location;
    delete m_notification ;
     delete m_display ;
    delete ui;
}

void DialogConfig::on_buttonBox_clicked(QAbstractButton *button)
{
    if(ui->buttonBox->standardButton(button)==QDialogButtonBox::Ok){

      m_location->saveSettings();
      m_notification->saveSettings();
m_display->saveSettings();
  emit   accepteChange();

this->accept();
    }
}
